from pathlib import Path
from datetime import datetime
from .templates import default


def today() -> Path:
    today = datetime.today().strftime("%Y-%m-%d")
    today_path = Path().home() / ".plan" / f"{today}.md"
    return today_path


def open(plan: Path):
    import subprocess

    if not plan.exists():
        plan.touch()
        with plan.open("rw") as f:
            f.write(default())
    subprocess.run(["nvim", str(plan)])
